import { TranslatedCollectionDTO } from "./TranslatedCollectionDTO";
import { TranslatedCollection } from "../../domain/TranslatedCollection";
export declare class TranslatedCollectionMapper {
    static fromDTO(dto: TranslatedCollectionDTO, id?: string): TranslatedCollection;
    static toDTO(collection: TranslatedCollection): {
        id: string | undefined;
        collectionId: string;
        languageCode: string;
        items: import("./TranslatedItemDTO").TranslatedItemDTO[];
    };
}
